> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Export all workspace elements



## OpenAPI

````yaml /api-reference/membrane-api.json get /export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /export:
    get:
      tags:
        - ExportMembraneInterfaces
      summary: Export all workspace elements
      operationId: exportWorkspace
      parameters:
        - name: simplified
          required: false
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: The job id and access key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncRequestTriggerResponseDto'
components:
  schemas:
    AsyncRequestTriggerResponseDto:
      type: object
      properties:
        jobId:
          type: string
        accessKey:
          type: string
      required:
        - jobId
        - accessKey
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````